Subject: CTEX, my reply

From: xiaofei (XiaoFei Wang)
Date: Thu, 26 Aug 93 00:02:42 CDT

This is my reply. For your info. 

:From xiaofei Wed Aug 25 23:56:09 1993
:Return-Path: <xiaofei>
:Date: Wed, 25 Aug 93 23:56:09 CDT
:From: xiaofei (XiaoFei Wang)
:To: [email-masked]
:Subject: Re:  CTeX software, submittal for list
:Cc: xiaofei
:
:Thank you very much for your reply. 
:
:I think you can go ahead and put the demo version of 
:CTeX in incoming. Please follow step 1-2-3 as in the
:ifcss.org:/incoming .message file. 
:
:I still have some some questions, you talk about the TeX-end
:and DVI-end, I am not familiar with these terms. As I understand,
:first one needs a program to convert the TeX source code to
:DVI file, this is done by Knuth's TeX. And then one converts
:DVI to whatever, the most common one is dvi to ps, and the
:best program to do this is Tom Rokicki's dvips. I installed
:both TeX and dvips from source code on this machine. The
:version for TeX is 3.141 and the version for dvips is 5.499a. 
:Are the TeX-end and DVI-end are equivalent of these programs
:to take care of the Chinese characters?
:
:I am sort undertstand the approach of poorman TeX. It uses 
:many .tfm files and fonts files for chinese, while the
:rest is the same as `English TeX'. What is the approach used
:in CTeX?
:
:JB Wang's ChTeX went its won way, for eample, it used its
:own special hacked dvips program. I think the usefulness of
:ChTeX is very limited and we can safely delete the package from
:our archive. I am glad that CTeX is compatible with regular TeX
:but I am just confused by TeX-end and DVI-end. 
:
:It seems that what dominates the chinese publishing market is 
:the PC program Xia Li Ba Ren, at least some magazines such as
:China Spring. But I have never like the software. It is not that
:it does not print beautiful chinese, but it is lack of standard.
:It starts from scratch, and goes its own way. So it has to compete
:with Knuth and redo the work Knuth has done to eatablish its own 
:standard. It is would much better
:to adopt an existing, powerful standard such as TeX. It particularly
:benefits the TeX users, since they do not need to learn another
:set of commands. 
:
:I am glad that you can offer us a free copy of CTeX. I would
:certainly try to install the program on this machine and see
:how it works. I have a working copy poorman installed on this machine, 
:( also for ftp ) 
:but I agree with you that poorman is not good enough for chinese
:publishing. 
:
:Please understand what I said here is my own opinion, not
:ftp-admin's.